<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>添加财务收支用途</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
  <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
     <style>
    </style>
</head>
<body>

  <div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-card">

          <div class="layui-card-body" pad15>
            <form class="layui-form" action="" lay-filter="component-form-element">
              <div class="layui-row layui-col-space10 layui-form-item">
                <div>
                  <label class="layui-form-label"><font color='red' size="4">*</font>收支类型：</label>
                  <div class="layui-input-block">
                    <select id="id_type" name="type" lay-verify="required">
                        <option value="1">收入</option>
                        <option value="2">支出</option>
                    </select>
                  </div>
              </div>
                  <div>
                  <label class="layui-form-label"><font color='red' size="4">*</font>类别：</label>
                  <div class="layui-input-block">
                    <select id="id_category" name="category" lay-verify="required">
                    </select>
                  </div>
              </div>
                <div>
                  <label class="layui-form-label"><font color='red' size="4">*</font>名称：</label>
                  <div class="layui-input-block">
                    <input type="text" name="name" lay-verify="required" placeholder="请输入名称" autocomplete="off" class="layui-input">
                  </div>
                </div>
                <div>
                  <label class="layui-form-label">在用：</label>
                  <div class="layui-input-block">
                    <input type="checkbox" name="enabled" lay-skin="switch" lay-text="是|否" checked="" value="1">
                  </div>
                </div>
                <button id="id_save" class="layui-btn" lay-submit lay-filter="component-form-element" style="display: none">保存</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index',
    formSelects: 'formSelects-v4'
  }).use(['index', 'form', 'utils', 'upload'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,upload = layui.upload
    ,form = layui.form;
    var id = layui.view.getParameterByName('id');

     admin.req({
        url: '/finance/finance_category/dict/',
        done: function (res) {
            var category = res.data.category;
            var category_node = $('#id_category');
            for (var i in category) {
                var pid = category[i].id;
                var value = category[i].name;
                category_node.append("<option value='" + pid + "'>" + value + "</option>");
            }
            form.render();
            loadData();
        }
    });
     var loadData = function(){
        if(id){
            var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
            form.val("component-form-element", editdata);
        }
    };
     form.render(null, 'component-form-element');

    if (id){
          var url = '/finance/finance_purpose/save/?id='+id;
      }else{
          url =  '/finance/finance_purpose/save/';
      }

    form.on('submit(component-form-element)', function(data){
      //layer.msg(JSON.stringify(data.field));

        if(!('enabled' in data.field)){
            data.field.enabled = false;
        }

        admin.req({
            url: url
            ,data: JSON.stringify(data.field)
            ,type: 'post'
            ,done: function(res){
                parent.layui.onSubmitChild(res.data);
            }
          });

      return false;
    });

    parent.layui.submitChild = function () {
      $("#id_save").click();
    };
  });
  </script>
</body>
</html>